> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# KitchenSinkBulkProfile

`POST /v1/kitchen-sink/bulk/profile`

**Tags:** `Kitchen sink`

Kitchen sink bulk profile lookup

**Endpoint:** `https://api.fiber.ai/v1/kitchen-sink/bulk/profile`

## Description

Search for many people using a variety of parameters such as LinkedIn slug, LinkedIn URL, or current company information. Returns profile data for each person if found. Providing more information per person (e.g. name + company + LinkedIn) improves match accuracy.

⚡ Rate limit: 60 requests per 1 minute

💰 Cost: Pay per person: 2 credits per lookup, plus 2 additional credits when the liveFetch flag is set. ⓘ

⏱ Recommended timeout: 3 minutes ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "profiles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "companyDomain": {
            "type": [
              "object",
              "null"
            ],
            "properties": {
              "value": {
                "type": [
                  "string",
                  "null"
                ],
                "minLength": 1,
                "description": "The domain of the company the person is currently working at"
              }
            },
            "description": "Domain of the person's current company (e.g. 'fiber.ai'). Used with personName for matching."
          },
          "companyName": {
            "type": [
              "object",
              "null"
            ],
            "properties": {
              "value": {
                "type": [
                  "string",
                  "null"
                ],
                "minLength": 1,
                "description": "The name of the company the person is currently working at"
              }
            }
          },
          "jobTitle": {
            "type": [
              "object",
              "null"
            ],
            "properties": {
              "value": {
                "type": [
                  "string",
                  "null"
                ],
                "minLength": 1,
                "description": "The job title of the person to search for"
              }
            }
          },
          "personName": {
            "type": [
              "object",
              "null"
            ],
            "properties": {
              "value": {
                "type": [
                  "string",
                  "null"
                ],
                "minLength": 1,
                "description": "The name of the person to search for. It can have first name and/or last name. Try to pass in names as present on LinkedIn."
              },
              "looseMatch": {
                "type": "boolean",
                "default": false,
                "description": "If true, allows partial and out-of-order matches. If false, only exact full name matches are returned."
              }
            },
            "description": "Person's name for matching. Best used with companyDomain or companyIdentifier."
          },
          "numProfiles": {
            "type": "integer",
            "minimum": 1,
            "maximum": 10,
            "default": 1,
            "description": "Maximum number of profile results to return per lookup. Defaults to 1."
          },
          "profileIdentifier": {
            "oneOf": [
              {
                "type": "object",
                "properties": {
                  "identifier": {
                    "type": "string",
                    "enum": [
                      "linkedinSlug"
                    ]
                  },
                  "value": {
                    "type": "string",
                    "description": "The LinkedIn slug of the person (e.g. 'williamhgates' from linkedin.com/in/williamhgates)."
                  }
                },
                "required": [
                  "identifier",
                  "value"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "identifier": {
                    "type": "string",
                    "enum": [
                      "linkedinUrl"
                    ]
                  },
                  "value": {
                    "type": "string",
                    "description": "The LinkedIn URL of the person (e.g. 'https://www.linkedin.com/in/williamhgates'). The https:// and www prefixes are optional."
                  }
                },
                "required": [
                  "identifier",
                  "value"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "identifier": {
                    "type": "string",
                    "enum": [
                      "userID"
                    ]
                  },
                  "value": {
                    "type": "string",
                    "description": "The LinkedIn user ID of the person."
                  }
                },
                "required": [
                  "identifier",
                  "value"
                ]
              },
              {
                "type": "null"
              }
            ],
            "description": "LinkedIn profile identifier (slug or URL). Provides the best match accuracy."
          },
          "companyIdentifier": {
            "oneOf": [
              {
                "type": "object",
                "properties": {
                  "identifier": {
                    "type": "string",
                    "enum": [
                      "linkedinSlug"
                    ]
                  },
                  "value": {
                    "type": "string",
                    "description": "The LinkedIn slug of the person's current company."
                  }
                },
                "required": [
                  "identifier",
                  "value"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "identifier": {
                    "type": "string",
                    "enum": [
                      "linkedinUrl"
                    ]
                  },
                  "value": {
                    "type": "string",
                    "description": "The LinkedIn URL of the person's current company."
                  }
                },
                "required": [
                  "identifier",
                  "value"
                ]
              },
              {
                "type": "object",
                "properties": {
                  "identifier": {
                    "type": "string",
                    "enum": [
                      "linkedinOrgID"
                    ]
                  },
                  "value": {
                    "type": "string",
                    "description": "The LinkedIn organization ID of the person's current company."
                  }
                },
                "required": [
                  "identifier",
                  "value"
                ]
              },
              {
                "type": "null"
              }
            ],
            "description": "LinkedIn identifier for the person's current company. Used with personName for matching."
          },
          "emailAddress": {
            "type": [
              "string",
              "null"
            ],
            "format": "email",
            "description": "Email address to look up. Second-best accuracy after profileIdentifier."
          }
        },
        "description": "Parameters for searching for a person. Provide at least one parameter. More parameters improve match accuracy."
      },
      "minItems": 1,
      "maxItems": 50
    },
    "liveFetch": {
      "type": [
        "boolean",
        "null"
      ],
      "default": false,
      "description": "When true, triggers a real-time LinkedIn profile fetch. Costs additional credits. Useful for profiles not yet in the database or to get the freshest data."
    },
    "forceCompanyMatch": {
      "type": [
        "boolean",
        "null"
      ],
      "default": false,
      "description": "When true, requires that the matched profile works at the specified company. Without this, the API may return profiles that match by name but work elsewhere."
    },
    "fuzzySearch": {
      "type": [
        "boolean",
        "null"
      ],
      "default": false,
      "description": "When true, enables fuzzy name matching. Useful when exact name spelling is uncertain."
    },
    "thoroughness": {
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "low",
        "high",
        null
      ],
      "default": "low",
      "description": "Controls how thoroughly to search across all profiles in the batch. Higher values recover more matches at the cost of additional per-row latency; lower values return faster. Omit to use the recommended default."
    },
    "getDetailedEducation": {
      "type": [
        "boolean",
        "null"
      ],
      "default": false,
      "description": "When true, returns detailed_education[] with school_details for each education entry."
    },
    "getDetailedWorkExperience": {
      "type": [
        "boolean",
        "null"
      ],
      "default": false,
      "description": "When true, returns detailed_work_experiences[] with company_details (domains, preferred_name, linkedin_primary_slug, li_org_id) for each work experience. Use this to get company domains for a person."
    }
  },
  "required": [
    "apiKey",
    "profiles"
  ]
}
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "data": {
          "type": "array",
          "items": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "articles": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "date_published": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "certifications": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "credential_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "verify_url": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "summary": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "linkedin_company_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "connection_count": {
                  "type": [
                    "number",
                    "null"
                  ]
                },
                "courses": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "course_number": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "association": {
                        "type": "null"
                      }
                    }
                  }
                },
                "dob": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "education": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "school_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "school_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "field_of_study_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "field_of_study_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "degree": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "grade": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "activities": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "notes": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "experiences": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "linkedin_company_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "is_current": {
                        "type": [
                          "boolean",
                          "null"
                        ]
                      },
                      "company_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "locality": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "summary": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "seniority": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "enum": [
                          "Entry level",
                          "Director",
                          "Associate",
                          "Mid-Senior level",
                          "Internship",
                          "Executive",
                          null
                        ]
                      },
                      "job_function": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "Arts and Design",
                            "Business Development",
                            "Community & Social Services",
                            "Consulting",
                            "Education",
                            "Engineering",
                            "Entrepreneurship",
                            "Healthcare Services",
                            "Human Resources",
                            "Information Technology",
                            "Legal",
                            "Military & Protective Services",
                            "Operations",
                            "Program & Product Management",
                            "Real Estate",
                            "Sales",
                            "Support",
                            "Administrative",
                            "Finance",
                            "Marketing",
                            "Purchasing",
                            "Product Management",
                            "Advertising",
                            "Analyst",
                            "Customer Service",
                            "Distribution",
                            "Design",
                            "General Business",
                            "Management",
                            "Manufacturing",
                            "Other",
                            "Public Relations",
                            "Project Management",
                            "Production",
                            "Quality Assurance",
                            "Research",
                            "Science",
                            "Supply Chain",
                            "Training",
                            "Health Care Provider",
                            "Accounting",
                            "Art / Creative",
                            "Strategy / Planning",
                            "Writing / Editing"
                          ]
                        }
                      },
                      "employment_type": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "Full-time",
                            "Temporary",
                            "Internship",
                            "Contract",
                            "Part-time",
                            "Volunteer",
                            "Other"
                          ]
                        }
                      },
                      "academic_qualification": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "High School",
                            "Associate Degree",
                            "Bachelor Degree"
                          ]
                        }
                      },
                      "company_start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "first_name": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "follower_count": {
                  "type": [
                    "number",
                    "null"
                  ]
                },
                "headline": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "inferred_location": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "street_address": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "neighborhood": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "city": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "state_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "state_code": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "county": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "postal_code": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "country_code": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "country_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "coordinates": {
                      "type": [
                        "object",
                        "null"
                      ],
                      "properties": {
                        "lat": {
                          "type": "number"
                        },
                        "lon": {
                          "type": "number"
                        }
                      },
                      "required": [
                        "lat",
                        "lon"
                      ]
                    },
                    "timezone": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "full_address": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "formatted_address": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                },
                "interests": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string"
                  }
                },
                "last_name": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "locality": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "name": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "patents": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "country": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "number": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "description": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "url": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "profile_pic": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "projects": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "project_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "project_title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "project_url": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "project_summary": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "is_current": {
                        "type": [
                          "boolean",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "publications": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "collaborators": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "object",
                          "properties": {
                            "name": {
                              "type": [
                                "string",
                                "null"
                              ]
                            },
                            "url": {
                              "type": [
                                "string",
                                "null"
                              ]
                            }
                          }
                        }
                      },
                      "date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "publisher": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "summary": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "url": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "skills": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string"
                  }
                },
                "primary_slug": {
                  "type": "string"
                },
                "slugs": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string"
                  }
                },
                "summary": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "url": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "user_id": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "volunteering": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "role": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "is_current": {
                        "type": [
                          "boolean",
                          "null"
                        ]
                      },
                      "cause": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "summary": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "linkedin_company_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "tenures": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "linkedin_company_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "date_range": {
                        "type": "object",
                        "properties": {
                          "gte": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "lte": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        }
                      },
                      "range_length_days": {
                        "type": [
                          "number",
                          "null"
                        ]
                      },
                      "titles": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      "localities": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      }
                    },
                    "required": [
                      "date_range",
                      "titles",
                      "localities"
                    ]
                  }
                },
                "career_began_at": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "tags": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string",
                    "enum": [
                      "student",
                      "attended-top-us-university",
                      "attended-top-global-university",
                      "second-time-founder",
                      "deep-technical-background",
                      "major-tech-company-experience",
                      "fortune-500-executive",
                      "recently-changed-companies",
                      "recently-promoted",
                      "decision-maker",
                      "c-suite",
                      "experienced-executive",
                      "phd",
                      "influencer",
                      "board-member"
                    ]
                  }
                },
                "entity_urn": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "open_to_work": {
                  "type": [
                    "boolean",
                    "null"
                  ]
                },
                "premium": {
                  "type": [
                    "boolean",
                    "null"
                  ]
                },
                "influencer": {
                  "type": [
                    "boolean",
                    "null"
                  ]
                },
                "organizations": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "entity_urns": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string"
                  }
                },
                "is_hiring": {
                  "type": [
                    "boolean",
                    "null"
                  ]
                },
                "websites": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string"
                  }
                },
                "is_verified": {
                  "type": [
                    "boolean",
                    "null"
                  ]
                },
                "verifications": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "is_verified": {
                      "type": [
                        "boolean",
                        "null"
                      ]
                    },
                    "joined_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "verification_types": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "object",
                        "properties": {
                          "title": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "subtitle": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "description": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        }
                      }
                    }
                  }
                },
                "is_top_voice": {
                  "type": [
                    "boolean",
                    "null"
                  ]
                },
                "current_job": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "linkedin_company_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "is_current": {
                      "type": [
                        "boolean",
                        "null"
                      ]
                    },
                    "company_name": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "locality": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "summary": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "title": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "seniority": {
                      "type": [
                        "string",
                        "null"
                      ],
                      "enum": [
                        "Entry level",
                        "Director",
                        "Associate",
                        "Mid-Senior level",
                        "Internship",
                        "Executive",
                        null
                      ]
                    },
                    "job_function": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Arts and Design",
                          "Business Development",
                          "Community & Social Services",
                          "Consulting",
                          "Education",
                          "Engineering",
                          "Entrepreneurship",
                          "Healthcare Services",
                          "Human Resources",
                          "Information Technology",
                          "Legal",
                          "Military & Protective Services",
                          "Operations",
                          "Program & Product Management",
                          "Real Estate",
                          "Sales",
                          "Support",
                          "Administrative",
                          "Finance",
                          "Marketing",
                          "Purchasing",
                          "Product Management",
                          "Advertising",
                          "Analyst",
                          "Customer Service",
                          "Distribution",
                          "Design",
                          "General Business",
                          "Management",
                          "Manufacturing",
                          "Other",
                          "Public Relations",
                          "Project Management",
                          "Production",
                          "Quality Assurance",
                          "Research",
                          "Science",
                          "Supply Chain",
                          "Training",
                          "Health Care Provider",
                          "Accounting",
                          "Art / Creative",
                          "Strategy / Planning",
                          "Writing / Editing"
                        ]
                      }
                    },
                    "employment_type": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Full-time",
                          "Temporary",
                          "Internship",
                          "Contract",
                          "Part-time",
                          "Volunteer",
                          "Other"
                        ]
                      }
                    },
                    "academic_qualification": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "High School",
                          "Associate Degree",
                          "Bachelor Degree"
                        ]
                      }
                    },
                    "company_start_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "company_end_date": {
                      "type": [
                        "string",
                        "null"
                      ]
                    }
                  }
                },
                "custom_data": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "additionalProperties": {
                    "type": "string"
                  }
                },
                "relevance_score": {
                  "type": [
                    "number",
                    "null"
                  ]
                },
                "last_sort_key": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "industry_name": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "last_updated_at": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "languages": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "proficiency_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "proficiency_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "detailed_education": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "school_details": {
                        "type": [
                          "object",
                          "null"
                        ],
                        "properties": {
                          "linkedin_ids": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          },
                          "li_org_id": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "linkedin_primary_slug": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "domains": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          },
                          "preferred_name": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        }
                      },
                      "school_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "school_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "field_of_study_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "field_of_study_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "degree": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "grade": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "activities": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "notes": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                },
                "detailed_work_experiences": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "object",
                    "properties": {
                      "company_details": {
                        "type": [
                          "object",
                          "null"
                        ],
                        "properties": {
                          "linkedin_ids": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          },
                          "li_org_id": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "linkedin_primary_slug": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "domains": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          },
                          "preferred_name": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "crunchbase_slug": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "logo_url": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "standard_industries": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string",
                              "enum": [
                                "Administrative Services",
                                "Aerospace & Military",
                                "Artificial Intelligence",
                                "Arts & Music",
                                "Automotive",
                                "Business Services",
                                "Cloud",
                                "Construction",
                                "Consulting",
                                "Consumer Goods",
                                "Consumer Services",
                                "Design",
                                "Education",
                                "Energy",
                                "Entertainment",
                                "Environmental",
                                "Events",
                                "Farming & Agriculture",
                                "Finance",
                                "Food & Beverage",
                                "Gaming",
                                "Government",
                                "Hardware",
                                "Healthcare",
                                "Hospitality",
                                "Industrials",
                                "Information Technology",
                                "Insurance",
                                "Legal",
                                "Life Sciences",
                                "Logistics",
                                "Manufacturing",
                                "Marketing & Advertising",
                                "Media",
                                "Mining",
                                "Nonprofit",
                                "Publishing",
                                "Real Estate",
                                "Retail",
                                "Science & Engineering",
                                "Security",
                                "Software",
                                "Sports",
                                "Telecom",
                                "Trade",
                                "Transportation",
                                "Travel & Tourism",
                                "Utilities",
                                "Venture Capital"
                              ]
                            }
                          },
                          "li_industries": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      },
                      "linkedin_company_id": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "is_current": {
                        "type": [
                          "boolean",
                          "null"
                        ]
                      },
                      "company_name": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "locality": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "summary": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "title": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "seniority": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "enum": [
                          "Entry level",
                          "Director",
                          "Associate",
                          "Mid-Senior level",
                          "Internship",
                          "Executive",
                          null
                        ]
                      },
                      "job_function": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "Arts and Design",
                            "Business Development",
                            "Community & Social Services",
                            "Consulting",
                            "Education",
                            "Engineering",
                            "Entrepreneurship",
                            "Healthcare Services",
                            "Human Resources",
                            "Information Technology",
                            "Legal",
                            "Military & Protective Services",
                            "Operations",
                            "Program & Product Management",
                            "Real Estate",
                            "Sales",
                            "Support",
                            "Administrative",
                            "Finance",
                            "Marketing",
                            "Purchasing",
                            "Product Management",
                            "Advertising",
                            "Analyst",
                            "Customer Service",
                            "Distribution",
                            "Design",
                            "General Business",
                            "Management",
                            "Manufacturing",
                            "Other",
                            "Public Relations",
                            "Project Management",
                            "Production",
                            "Quality Assurance",
                            "Research",
                            "Science",
                            "Supply Chain",
                            "Training",
                            "Health Care Provider",
                            "Accounting",
                            "Art / Creative",
                            "Strategy / Planning",
                            "Writing / Editing"
                          ]
                        }
                      },
                      "employment_type": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "Full-time",
                            "Temporary",
                            "Internship",
                            "Contract",
                            "Part-time",
                            "Volunteer",
                            "Other"
                          ]
                        }
                      },
                      "academic_qualification": {
                        "type": [
                          "array",
                          "null"
                        ],
                        "items": {
                          "type": "string",
                          "enum": [
                            "High School",
                            "Associate Degree",
                            "Bachelor Degree"
                          ]
                        }
                      },
                      "company_start_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "company_end_date": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                }
              },
              "required": [
                "primary_slug"
              ]
            }
          },
          "description": "Profiles found for each lookup. A 2D array because each lookup may yield multiple profiles."
        },
        "message": {
          "type": [
            "string",
            "null"
          ],
          "description": "Additional context if no matching profile was found."
        }
      },
      "required": [
        "data"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "No credits were charged for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "credits-refunded"
              ]
            },
            "creditsRefunded": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsRefunded",
            "message"
          ],
          "description": "Credits were refunded for this operation"
        }
      ]
    },
    "warnings": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Full path to extraneous field (e.g., 'searchParams.ExtraField')"
          },
          "message": {
            "type": "string",
            "description": "Warning message"
          }
        },
        "required": [
          "field",
          "message"
        ]
      },
      "description": "Warnings about extraneous fields in request"
    },
    "advice": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string"
      },
      "description": "Tips, recommendations, and suggestions for using this API effectively."
    }
  },
  "required": [
    "output",
    "chargeInfo"
  ],
  "additionalProperties": false
}
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
